package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.UserInfoOne;

/**
 * 导入人员信息Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-30
 */
public interface UserInfoOneMapper 
{
    /**
     * 查询导入人员信息
     * 
     * @param id 导入人员信息主键
     * @return 导入人员信息
     */
    public UserInfoOne selectUserInfoOneById(Long id);

    /**
     * 查询导入人员信息列表
     * 
     * @param userInfoOne 导入人员信息
     * @return 导入人员信息集合
     */
    public List<UserInfoOne> selectUserInfoOneList(UserInfoOne userInfoOne);

    /**
     * 新增导入人员信息
     * 
     * @param userInfoOne 导入人员信息
     * @return 结果
     */
    public int insertUserInfoOne(UserInfoOne userInfoOne);

    /**
     * 修改导入人员信息
     * 
     * @param userInfoOne 导入人员信息
     * @return 结果
     */
    public int updateUserInfoOne(UserInfoOne userInfoOne);

    /**
     * 删除导入人员信息
     * 
     * @param id 导入人员信息主键
     * @return 结果
     */
    public int deleteUserInfoOneById(Long id);

    /**
     * 批量删除导入人员信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserInfoOneByIds(Long[] ids);
}
